const userImg = getID("user-img")
const userName = getID("user-name")
const userId = getID("user-id")
const website_list = document.getElementById("ousers-list")
const website_list_number = document.getElementById("ousers-number")

AlwaysRequest("UPDATE_SELF", () => {
    initUser()
})

initUser()

function initUser() {
    const userInfo = get("USER_INFO")

    userInfo.then(user => {
        userImg.src = user.picture
        userId.innerHTML = user.user.username
        userName.innerHTML = user.user.global_name
        
    })
}

AlwaysRequest("ALL_CONNECTED_USER", (data) => {

        
        const userToPush = new Array()
    
        for(var user of data) {
       
           const userC = new User({
                picture: user.picture,
                name: user.global_name,
                id: user.username
           })
           userToPush.push(userC.generateHTML())
    
        }
    
        website_list.innerHTML = userToPush.join("")
        website_list_number.innerHTML = userToPush.length
    
})
